> ## Documentation Index
> Fetch the complete documentation index at: https://docs.authsignal.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Terminal API - Overview

> How to integrate and interact with the Authsignal Biometric Terminal service

## Terminal Pairing

To integrate an Authsignal terminal with your point of sale system, you'll need to obtain the `terminalId` from an on-boarded device.
This unique identifier is required to authenticate requests to the payment session APIs from your point of sale terminal.

### Terminal Request Identification

The Authsignal Payment Session API uses your `terminalId` as a value in the `x-authsignal-terminal` HTTP request header to identify requests.

```bash theme={null}
curl --header 'x-authsignal-terminal: YOUR_TERMINAL_ID' https://api.authsignal.com/v1
```

### Region selection

Authsignal's server SDKs default to the US (Oregon) region. If your tenant is in a different region, a different API URL must be configured.

| Region        | API URL                            |
| ------------- | ---------------------------------- |
| US (Oregon)   | `https://api.authsignal.com/v1`    |
| AU (Sydney)   | `https://au.api.authsignal.com/v1` |
| EU (Ireland)  | `https://eu.api.authsignal.com/v1` |
| CA (Montreal) | `https://ca.api.authsignal.com/v1` |

<Card title="Download the Terminal API OpenAPI Specification" icon="link" href="https://docs.authsignal.com/terminal-api.json" horizontal />
